# API: Meta

| Method | Path | What it does | Scope |
|---|---|---|---|
| GET | `/v1/schemas` | List resources that have a JSON Schema | — |
| GET | `/v1/schemas/:resource` | JSON Schema for one resource | — |

## Examples

### GET /v1/schemas

List resources that have a JSON Schema

```bash
curl -s "https://api.closefinch.com/v1/schemas" \
  -H "Authorization: Bearer $RA_API_KEY"
```

```js
const res = await fetch(`https://api.closefinch.com/v1/schemas`, {
  method: "GET",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();
```

### GET /v1/schemas/$RESOURCE

JSON Schema for one resource

```bash
curl -s "https://api.closefinch.com/v1/schemas/$RESOURCE" \
  -H "Authorization: Bearer $RA_API_KEY"
```

```js
const res = await fetch(`https://api.closefinch.com/v1/schemas/${resource}`, {
  method: "GET",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();
```

Request and response schemas: [https://www.closefinch.com/openapi.json](https://www.closefinch.com/openapi.json). All resources: [API reference](https://www.closefinch.com/docs/api).
